#ifndef RBT_ASSERT_H
#define RBT_ASSERT_H

/* $Id: rbt_assert.h,v 1.3 2004/01/04 19:13:36 gumpu Exp $ */

void RBT_Assert_Func( int line_number, char* file_name, char* expression, long value );


/****f* Assert/RBT_Assert
 * FUNCTION
 *   Assert that an expression has a non-zero value.  You use this
 *   function to write your testcases.  This function is a macro that
 *   points to RBT_Assert_Func().
 * INPUTS
 *   o expression -- the expression to test
 * SOURCE
 */

#define RBT_Assert( expression ) RBT_Assert_Func( __LINE__, __FILE__, #expression, expression )

/****/


#endif /* RBT_ASSERT_H */
